<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Backend request from browser</title>
    <script>
        async function sendRequest() {
            let url = "http://localhost/tasks";
            let data = await fetch(url);
            let response = await data.json()[0];
            console.log(response)

            let p2 = document.createElement('p');
            p2.innerHTML = "id = " + response.id + " description = " + response.description;
            var elem = document.getElementById("p1");
            elem.parentNode.insertBefore(p2, elem.nextSibling);
        }
    </script>
</head>
<body>
<button onclick="sendRequest()">Send backend request</button>
<p id ="p1">No response</p>

</body>
</html>
